| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
Digikam::AutotagsPipelinePackageBase Class Reference
Inheritance diagram for Digikam::AutotagsPipelinePackageBase:

## Public Types
enum | EditPipelineAction { Confirm , Remove , EditTag , EditRegion , AddManually }

## Public Member Functions
| AutotagsPipelinePackageBase (qlonglong _imageId)

## Public Attributes
cv::Mat | features
QList< cv::Mat > | featuresList
DImg | image
ItemInfo | info
QList< int > | labelList
QList< QString > | tagList
QImage | thumbnail
Public Attributes inherited from Digikam::MLPipelinePackageFoundation
quint64 | size = 0
QIcon | thumbnailIcon